View Issue Details

IDProjectCategoryView StatusLast Update
0002877Ham Radio DeluxeBugpublic2019-01-16 22:05
ReporterKB3NPH 
Assigned ToKB3NPH 
PriorityhighSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0002877: FT-991 Rig Control meters to not work
DescriptionIn versions after V6.4.0.840, the SWL, PWR, and ALC meters in the upper right corner have not worked in any version after V6.4.0.840. The customer in Ticket #116126 has provided screenshots in the ticket indicating that these meters worked in V6.4.0.480 but do not work in versions after that.

Steps To ReproducePlease see Ticket #116126 for images sent by the customer in his support ticket.
TagsFT-991, FT-991A, Yaesu
ModuleRig Control
Sub-ModuleFunctional
Testing Beta Successful

Relationships

has duplicate 0002603 closedK7ZCZ 4 - Closed w/o Action FT-991 Meters not working 

Activities

K7ZCZ

2018-12-13 13:01

manager   ~0006610

I have no meters on the upper right side of the display. Maybe you meant "upper left" instead. The meters on the upper left part of the rig control radio view were not working for me against this radio, and I have fixed them.

If I've got the wrong meters, please clarify your report so I can investigate the problem you're experiencing.

K7ZCZ

2018-12-13 13:03

manager   ~0006611

Fixed as described with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4556

WA9PIE

2019-01-01 21:45

administrator   ~0006840

Was the customer's report about 840 or 480? Confused.

WA9PIE

2019-01-01 21:49

administrator   ~0006841

I can't test these. We may need to have that customer try this.

WA9PIE

2019-01-05 19:02

administrator   ~0006889

Comments by Dan Schaaf (K3ZXL):

The meters in the upper left of RC work fine. But they are limited. Only 3 fixed meter labels. ALC, SWR and PWR
 
However, the S Meter Below VFO A works ok in receive as an S Meter should.
But, there is a slider called Meter and as you slide it, you can select more than those 3 labels that are shown in upper left.
Now, when that slider is moved to a different parameter, the actual radio meter changes accordingly.
But, the meter below the VFO in Rig Control does not change . It always reads SWR.

K7ZCZ

2019-01-06 20:15

manager   ~0006897

The meter slider controls the meter type that's shown on the front panel of the radio. If we want the enhancement of configuring the meters on the top left of the radio view, then a separate issue should be opened. That work would affect all radios, not just the FT-991, and need to be carefully planned. Some radios provide no meters, some provide more than are available for the FT-991.

WA9PIE

2019-01-09 14:42

administrator   ~0006924

I was able to sort this out and test it today. The other comment could be a future enhancement.

Issue History

Date Modified Username Field Change
2018-09-05 11:54 KB3NPH New Issue
2018-11-27 11:56 WA9PIE Tag Attached: FT-991
2018-11-29 00:17 WA9PIE Tag Attached: Yaesu FT-991(A)
2018-11-29 00:18 WA9PIE Tag Detached: FT-991
2018-11-30 18:12 WA9PIE Tag Attached: Yaesu
2018-11-30 18:13 WA9PIE Tag Attached: FT-991
2018-11-30 18:14 WA9PIE Tag Attached: FT-991A
2018-11-30 18:23 WA9PIE Tag Detached: FT-991A
2018-11-30 18:23 WA9PIE Tag Detached: Yaesu FT-991(A)
2018-12-13 00:01 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-12-13 13:01 K7ZCZ Note Added: 0006610
2018-12-13 13:03 K7ZCZ Assigned To => K7ZCZ
2018-12-13 13:03 K7ZCZ Status new => resolved
2018-12-13 13:03 K7ZCZ Resolution open => fixed
2018-12-13 13:03 K7ZCZ Note Added: 0006611
2018-12-13 13:15 K7ZCZ Relationship added has duplicate 0002603
2018-12-14 17:11 K7ZCZ Fixed in Version => 6.5.0.137
2018-12-14 17:11 K7ZCZ Tag Attached: FT-991A
2019-01-01 21:45 WA9PIE Note Added: 0006840
2019-01-01 21:49 WA9PIE Note Added: 0006841
2019-01-01 21:49 WA9PIE Assigned To K7ZCZ => KB3NPH
2019-01-05 19:02 WA9PIE Note Added: 0006889
2019-01-06 20:15 K7ZCZ Note Added: 0006897
2019-01-09 14:42 WA9PIE Status resolved => closed
2019-01-09 14:42 WA9PIE Testing Not Started => Beta Successful
2019-01-09 14:42 WA9PIE Note Added: 0006924
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.137 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe